/* Copyright (C) 1996,1997 Robert H”hne, see COPYING.RH for details */
/* This file is part of RHIDE. */
#if !defined( ideFunctions__ )
#define ideFunctions__

class TCEditWindow;
class TCFileEditor;

TCEditWindow * OpenEditor(const char *,Boolean); // User have to define this
TCEditWindow * is_on_desktop(const char *,Boolean is_full_name = False);
void goto_line(TCFileEditor *editor,int line);

long time_of_file(const char * fname);
COMPILE_ID how_to_compile(const char * ext_from,const char * ext_to);
COMPILE_ID how_to_compile(FILE_TYPE from,FILE_TYPE to);
FILE_TYPE get_file_type(const char * ext);

#endif
